com.hazelcast.logging

## Interface ILogger

- All Known Implementing Classes:
    AbstractLogger, Log4j2Factory.Log4j2Logger

      public interface ILogger

  The Hazelcast logging interface. The reason if its existence is that Hazelcast doesn't want any dependencies on concrete logging frameworks so it creates it own meta logging framework where existing logging frameworks can be placed behind.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String message)` Logs a message at `Level.FINE`.
    `void` | `fine(String message, Throwable thrown)` Logs message with associated throwable information at `Level.FINE`.
    `void` | `fine(Throwable thrown)` Logs a throwable at `Level.FINE`.
    `void` | `finest(String message)` Logs a message at `Level.FINEST`.
    `void` | `finest(String message, Throwable thrown)` Logs message with associated throwable information at `Level.FINEST`.
    `void` | `finest(Throwable thrown)` Logs a throwable at `Level.FINEST`.
    `Level` | `getLevel()` Gets the logging Level.
    `void` | `info(String message)` Logs a message at `Level.INFO`.
    `boolean` | `isFineEnabled()` Checks if the `Level.FINE` is enabled.
    `boolean` | `isFinestEnabled()` Checks if the `Level.FINEST` is enabled.
    `boolean` | `isInfoEnabled()` Checks if the `Level.INFO` is enabled.
    `boolean` | `isLoggable(Level level)` Checks if a message at the provided level is going to be logged by this logger.
    `boolean` | `isWarningEnabled()` Checks if the `Level.WARNING` is enabled.
    `void` | `log(Level level, String message)` Logs a message at the provided Level.
    `void` | `log(Level level, String message, Throwable thrown)` Logs message with associated throwable information at the provided level.
    `void` | `log(LogEvent logEvent)` Logs a LogEvent
    `void` | `severe(String message)` Logs a message at `Level.SEVERE`.
    `void` | `severe(String message, Throwable thrown)` Logs message with associated throwable information at `Level.SEVERE`.
    `void` | `severe(Throwable thrown)` Logs a throwable at `Level.SEVERE`.
    `void` | `warning(String message)` Logs a message at `Level.WARNING`.
    `void` | `warning(String message, Throwable thrown)` Logs message with associated throwable information at `Level.WARNING`.
    `void` | `warning(Throwable thrown)` Logs a throwable at `Level.WARNING`.

- - ### Method Detail

    - #### finest

          void finest(String message)

      Logs a message at `Level.FINEST`.
      Parameters:
        `message` - the message to log.

    - #### finest

          void finest(Throwable thrown)

      Logs a throwable at `Level.FINEST`. The message of the Throwable will be the message.
      Parameters:
        `thrown` - the Throwable to log.

    - #### finest

          void finest(String message,
                      Throwable thrown)

      Logs message with associated throwable information at `Level.FINEST`.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message.

    - #### isFinestEnabled

          boolean isFinestEnabled()

      Checks if the `Level.FINEST` is enabled.
      Returns:
        true if enabled, false otherwise.

    - #### fine

          void fine(String message)

      Logs a message at `Level.FINE`.
      Parameters:
        `message` - the message to log.

    - #### fine

          void fine(Throwable thrown)

      Logs a throwable at `Level.FINE`. The message of the Throwable will be the message.
      Parameters:
        `thrown` - the Throwable to log.

    - #### fine

          void fine(String message,
                    Throwable thrown)

      Logs message with associated throwable information at `Level.FINE`.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message.

    - #### isFineEnabled

          boolean isFineEnabled()

      Checks if the `Level.FINE` is enabled.
      Returns:
        true if enabled, false otherwise.

    - #### info

          void info(String message)

      Logs a message at `Level.INFO`.
      Parameters:
        `message` - the message to log.

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Checks if the `Level.INFO` is enabled.
      Returns:
        true if enabled, false otherwise.

    - #### warning

          void warning(String message)

      Logs a message at `Level.WARNING`.
      Parameters:
        `message` - the message to log.

    - #### warning

          void warning(Throwable thrown)

      Logs a throwable at `Level.WARNING`. The message of the Throwable will be the message.
      Parameters:
        `thrown` - the Throwable to log.

    - #### warning

          void warning(String message,
                       Throwable thrown)

      Logs message with associated throwable information at `Level.WARNING`.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message.

    - #### isWarningEnabled

          boolean isWarningEnabled()

      Checks if the `Level.WARNING` is enabled.
      Returns:
        true if enabled, false otherwise.

    - #### severe

          void severe(String message)

      Logs a message at `Level.SEVERE`.
      Parameters:
        `message` - the message to log.

    - #### severe

          void severe(Throwable thrown)

      Logs a throwable at `Level.SEVERE`. The message of the Throwable will be the message.
      Parameters:
        `thrown` - the Throwable to log.

    - #### severe

          void severe(String message,
                      Throwable thrown)

      Logs message with associated throwable information at `Level.SEVERE`.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message.

    - #### log

          void log(Level level,
                   String message)

      Logs a message at the provided Level.
      Parameters:
        `level` - the Level of logging.
        `message` - the message to log.

    - #### log

          void log(Level level,
                   String message,
                   Throwable thrown)

      Logs message with associated throwable information at the provided level.
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message.

    - #### log

          void log(LogEvent logEvent)

      Logs a LogEvent
      Parameters:
        `logEvent` - the logEvent to log.

    - #### getLevel

          Level getLevel()

      Gets the logging Level.
      Returns:
        the logging Level.

    - #### isLoggable

          boolean isLoggable(Level level)

      Checks if a message at the provided level is going to be logged by this logger.
      Parameters:
        `level` - the log level.
      Returns:
        true if this Logger will log messages for the provided level, false otherwise.

Copyright © 2018. All rights reserved.